libname q 'c:\casedata';
data tryone; set q.threeclusters123;
trueclas = fileid;
data trytwo; set tryone;
*this is a switch for 3 full data sets or not. Weighting procedure needed is default;
if fileid =1;
* use fileid = 1 is you want only one dataset to analyze.;

*This Syntax replicates some of the panels of Table 4 and Table 5;
*Coded by Robert B. Smith, Ph.D.;

*dummy medium income;
DMMEDINC =.;
if tricoinc = 2 then DMMEDINC = 1;
if tricoinc = 1 or tricoinc = 3 then DMMEDINC = 2;

*dummy low income;
DMLOWINC = .;
if tricoinc = 1 then DMLOWINC = 1;
if tricoinc = 2 or tricoinc = 3 then DMLOWINC = 2;

*dummy middleage;
dmmidage = .;
if triageoy = 2 then dmmidage = 1;
if triageoy = 1 or triageoy = 3 then dmmidage = 2;

*dummies for econreg1;
ebotvoth =.;
If econreg1 = 2 then ebotvoth = 1;
if econreg1 = 3 or econreg1 = 4 then ebotvoth = 2;

eonevnon =.;
if econreg1 = 3 then eonevnon = 1;
if econreg1 = 4 then eonevnon = 2;

eonevoth =.;
if econreg1 = 3 then eonevoth = 1;
if econreg1 = 2 or econreg1 = 4 then eonevoth = 2;

*dummies for healthcare reform;
hbotvoth =.;
If hreformx= 2 then hbotvoth =1;
if hreformx = 3 or hreformx = 4 then hbotvoth = 2;

honevnon =.;
if hreformx = 3 then honevnon = 1;
if hreformx = 4 then honevnon = 2;
if hreformx = 2 then honevnon = .;

honevoth =.;
if hreformx = 3 then honevoth = 1;
if hreformx = 2 or hreformx = 4 then honevoth = 2;


* this creates continuation ratio logits for three class model ls = latent structure;

lsleft =.;
if lcentr = 1 then lsleft = 1;
if lcentr = 2 or lcentr = 3 then lsleft = 2;

lscenter =.;
if lcentr = 2 then lscenter = 1;
if lcentr = 3 then lscenter = 2;

indvsotr = .;
if partyid = 2 then indvsotr = 1;
if partyid = 1 or partyid = 3 then indvsotr = 2;

Dnewleft =.;
if trueclas = 1 then Dnewleft = 1;
if trueclas = 2 or trueclas = 3 then Dnewleft =2;

Dnewcent =.;
if trueclas = 2 then dnewcent = 1;
if trueclas =1 or trueclas =3 then dnewcent = 2;

JOBS = .;
IF q13IMAGE = 3 THEN JOBS = 1;
IF q13IMAGE = 1 OR Q13IMAGE =2 OR Q13IMAGE = 4 THEN JOBS = 2;

*this builds a scale called new equity;
nwequity = econvip + q8oposit;

dnwequit = .;
if nwequity = 2 then dnwequit = 1;
if nwequity = 3 or nwequity = 4 then dnwequit = 2;

npolcont = dnwequit + nwdright + pbhlthdc;

*ods select goodnessoffit fitstatistics GlobalTests;

uniacces = uniacces - 1;

*The following reverses LibCon to ConLib and partyid to RepDem;

ConLib = . ;
If libcon=1 then conlib = 3;
if libcon=2 then conlib = 2;
if libcon=3 then conlib = 1;

RepDem = .;
if partyid = 1 then repdem = 3;
if partyid = 2 then repdem = 2;
if partyid = 3 then repdem = 1;
run;
data trytwo; set trytwo;

*This code replicates the proportional odds model for the three voting choices, issues included;
*Table 4 Panel 1.1;

proc logistic;
class choice3 ebotvoth hreformx envirvip charnvip libcon partyid minority DMMEDINC
/param = reference; 
model  choice3 = ebotvoth hreformx envirvip charnvip libcon partyid minority DMMEDINC /
scale=none aggregate lackfit ctable rsquare;
run;


*This code replicates the continuation logits model for Clinton vs. All others;
*Table 4 Panel 1.2;
proc logistic descending;
class clin1vot econreg1 dreform1 envirvip charnvip libcon partyid minority dmoldage
  /param=reference;
model  clin1vot = econreg1 dreform1 envirvip charnvip libcon partyid minority dmoldage /
scale=none aggregate lackfit ctable rsquare;
run;


*Table 5 begins here;

*This code replicates the proportional odds model for the determinants of the
	economic issue;
*Table 5 Panel b1.1;

proc logistic;
class econreg1 libcon partyid females
  /param=reference;
model  econreg1 = libcon partyid females  /
scale=none aggregate lackfit ctable rsquare;
run;

*This Code Replicates the analysis of the determinants of the healthcare reform issue;
*Proportional odds model Table 5, panel b2.1;

proc logistic;
class  hreformx libcon partyid Tricoinc 
  /param=reference;
model  hreformx = libcon partyid Tricoinc  /
scale=none aggregate lackfit ctable rsquare;
run;


*This Code Replicates the analysis of the determinants of the healthcare reform issue;
*continuation logits model Table 5, panel b2.2;  

proc logistic;
class  dreform1 libcon  Tricoinc 
  /param=reference;
model  dreform1 = libcon   dvsothr   Tricoinc  /
scale=none aggregate lackfit ctable rsquare;
run;

*This Code Replicates the analysis of the determinants of character not very important;
*Proportional odds model Table 5 panel b4.1;

proc logistic;
class  libcon  
  /param=reference;
class  charnvip paidwork triageoy;
model  charnvip = paidwork triageoy /
scale=none aggregate lackfit ctable rsquare;
*weight newvar;
run;


*This Code Replicates the analysis of the determinants of character not very important;
*Proportional odds model Table 5 panel b4.2;

proc logistic;
class  libcon  
  /param=reference;
class  charnvip paidwork triageoy libcon;
model  charnvip = paidwork triageoy libcon/
scale=none aggregate lackfit ctable rsquare;
run;

*This Code Replicates the analysis of the determinants of character not very important;
*Proportional odds model Table 5 panel b4.3;

proc logistic;
class  libcon  
  /param=reference;
class  charnvip paidwork triageoy libcon partyid;
model  charnvip = paidwork triageoy libcon partyid/
scale=none aggregate lackfit ctable rsquare;
run;
